{%  set contactAssistant = get_cookie('contactAssistant') %}

{% set contactAssistantContent %}
    <div x-data="{ open: false }" id="popup-contact-assistant" class="fixed right-2 bottom-2 w-72 sm:w-80 flex items-end flex-col overflow-hidden z-20">
        <div x-show="open" class="bg-white rounded w-full shadow-[0_5px_15px_0_rgba(0,0,0,0.2)]">
            <div class="bg-primary p-4 flex w-full justify-end text-white rounded-t">
                <div @click="open = !open" class="cursor-pointer">
                    <i class="fa-solid fa-xmark"></i>
                </div>
            </div>
            <div class="p-4 font-light max-h-96 overflow-y-scroll">
                <div class="text-center">
                    {% if (configContactAssistant.logo|first).name %}
                        <div class="flex flex-col justify-center items-center">
                            <div class="bg-primary w-16 h-16 p-3 rounded-full flex items-center justify-center">
                                <img class="w-auto h-auto" src="{{ url('plugin://etd-contact-assistant/' ~ (configContactAssistant.logo|first).name) }}" />
                            </div>
                            <h2 class="mt-2 font-normal text-base">{{ configContactAssistant.name }}</h2>
                        </div>
                    {% endif %}
                    <div class="bg-gris p-2 rounded-lg mt-4">
                        {% if configContactAssistant.question %}
                            <div class="text-left px-4 py-2 level-1-contact-assistant">
                                {{ configContactAssistant.question }}
                            </div>
                        {% endif %}
                        {% if configContactAssistant.answers %}
                            {% for answer in configContactAssistant.answers %}
                                <div>
                                    <div class="bg-white text-left rounded-lg px-4 py-1 cursor-pointer my-2 level-1-contact-assistant">
                                        {{ answer.label }}
                                    </div>
                                    <div class="level-2-contact-assistant"> {{ 'PLUGIN_ETD_CONTACT_ASSISTANT.MESSAGE.WHAT_IS_YOUR_QUESTION_ABOUT'|t }} <span class="font-bold">"{{ answer.label }}"</span> ?</div>
                                    {% if answer.email %}
                                            <div class="level-2-contact-assistant my-4">
                                                {% include "forms/contact-assistant.html.twig" with {form: forms('contact-assistant-form'), sendTo: answer.email } %}
                                            </div>
                                    {% else %}
                                        <span class="bg-white text-left rounded-lg px-4 py-1 cursor-pointer my-2 block level-2-contact-assistant">{{ 'PLUGIN_ETD_CONTACT_ASSISTANT.MESSAGE.NO_CONTACT'|t }}</span>
                                    {% endif %}
                                    <div class="level-2-contact-assistant back-level-1-contact-assistant cursor-pointer bg-secondary text-white text-left px-4 py-1 rounded-lg flex items-center"><i class="fa-solid fa-arrow-turn-down-left"></i><span class="pl-2">{{ 'PLUGIN_ETD_CONTACT_ASSISTANT.MESSAGE.BACK'|t }}</span></div>
                                </div>
                            {% endfor %}
                        {% else %}
                            {{ 'PLUGIN_ETD_CONTACT_ASSISTANT.MESSAGE.NO_ELEMENT'|t }}
                        {% endif %}
                    </div>

                </div>
            </div>
        </div>
        <div @click="open = !open" class="bg-primary p-4 rounded-full text-white w-14 h-14 flex items-center justify-center mr-2 mt-2 cursor-pointer">
            <i class="fa-solid fa-messages"></i>
        </div>

    </div>

{% endset %}


document.addEventListener("DOMContentLoaded", function(e) {
    popupContactAssistant.init("{{ contactAssistantContent|replace({'\r\n': '', '\n': '', '\r': '', '\"': '\\"'})|raw }}", 'popup-contact-assistant');
});
